apiVersion: kustomize.config.k8s.io/v1alpha1
kind: Component

patches:
- target:
    kind: KubeadmControlPlane
  patch: |-
    - op: add
      path: /spec/kubeadmConfigSpec/files/-
      value:
        path: /etc/resolv.conf
        owner: root
        permissions: "0644"
        content: |
          nameserver ${K8SGATEWAY_LB_IP}
